---
- entityDefinitions:
  - IDE_Device_Computer_Subedits: '{5182e243-dc69-4c31-aca8-5726fc73145d}'
  - IDE_Device_Computer_Subedit_Tabs: '{5f7e1efb-33c5-4cd1-a6a9-2a439b878b67}'
  - IDE_Device_Computer_Subedit_Network: '{c791db99-b487-4335-befc-0afde45e4ed4}'

  - IDA_UseDHCP: '{307a5103-99e0-41b5-aae9-be8e5d9c9995}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_Device_Computer_Subedits;'
    name: 'computer subedits'
    elementContents:
    - globalIdentifier: '{1f6ddc69-ad4f-428d-bd0b-062328eb7081}'
      defaultDataType: '&IDE_Device_Computer_Subedit_Tabs;'
      layout: '{a8a233f1-42d1-4bba-a20d-047a9cebd175}'

  - booleanAttribute: '&IDA_UseDHCP;'
    name: 'Use DHCP'
    
  - groupLayout: '{a8a233f1-42d1-4bba-a20d-047a9cebd175}'
    options:
    - instance: '&IDI_GroupLayoutOption_Tabbed;'

  - element: '&IDE_Device_Computer_Subedit_Tabs;'
    elementContents:
    - globalIdentifier: '{60e38734-a2be-44ae-888c-d683695e86b1}'
      defaultDataType: '&IDE_Device_Computer_Subedit_Network;'
      label: 'Network'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
  
  - element: '&IDE_Device_Computer_Subedit_Network;'
    name: 'Network'
    elementContents:
    - globalIdentifier: '{b889d09b-2620-4e80-a7aa-52cb25fb959f}'
      defaultDataType: '&IDA_UseDHCP;'
      label: 'Use DHCP'
    - globalIdentifier: '{a6971557-623d-4a63-bb88-b3f8682c409e}'
      defaultDataType: '&IDA_IPAddress;'
      label: 'IP Address'
    - globalIdentifier: '{b895bdea-32f2-4b85-9093-0c1e506e4a6c}'
      defaultDataType: '&IDA_Name;'
      label: 'Name'
